Issue #2 invalid

additional packages not mentioned in the README

Anonymous created an issue

I missed documentation for the following required packages:

  • python-werkzeug
  • python-sqlalchemy
  • python-babel
  • python-jinja2
  • python-pygments
  • python-simplejson

did I miss something?

Comments (4)

  1. Anonymous

    You need these:

        easy_install('Jinja2', home_dir)
        easy_install('Werkzeug', home_dir)
        easy_install('Pygments', home_dir)
        easy_install('SQLAlchemy==0.6', home_dir)
        easy_install('simplejson', home_dir)
        easy_install('Babel', home_dir)
        easy_install('PIL', home_dir)
    
  2. Ammler

    Yeah, I know, this was more meant as a proposal to add those packages to the readme with the other "aptitude" packages...

    (I prefer distro software manager to easy_install)

  3. Anonymous

    Normally I would too. However recently I actually realized that the suggested method of doing this, through virtualenv, is TONS better, by far. I don't need to have any extra packages that I have to remember the names of to uninstall/whatever later, because it's all in a virtual directory. And because of that, I can have a virtual install for any application, whichout apt installed packages getting in the way. I had to manually modify my install to accept virtualenv (check WSGI documentation), but it was worthit.

    Anyways, you missed PIL from your list, which is why I posted that.

  4. Log in to comment